Bug 762470 - (GLUSTER-738) [NFS] Crash with bonnie++
[NFS] Crash with bonnie++
Status: CLOSED DUPLICATE of bug 762489
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
nfs-alpha
All Linux
low Severity low
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-18 08:55 EDT by Anush Shetty
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2010-03-18 08:55:53 EDT
Setup: Distribute+ Replicate with all performance translators except Stat-Prefetch


bash-3.2# bonnie++ -u gluster -d test

[2010-03-18 08:14:30] T [io-cache.c:837:ioc_dispatch_requests] cache: locked inode(0x1583d40)
[2010-03-18 08:14:30] T [rbthash.c:309:rbthash_key_bucket] rbthash: HASH: 1224
[2010-03-18 08:14:30] T [rbthash.c:311:rbthash_key_bucket] rbthash: BUCKET: 0
[2010-03-18 08:14:30] T [page.c:255:ioc_wait_on_page] cache: frame(0x2aaab42c0e20) waiting on page = 0x2aaab5585880, offset=160464896, size=65536
[2010-03-18 08:14:30] T [page.c:264:ioc_wait_on_page] cache: locked local(0x2aaab557c0f0)
[2010-03-18 08:14:30] T [page.c:268:ioc_wait_on_page] cache: unlocked local(0x2aaab557c0f0)
[2010-03-18 08:14:30] T [io-cache.c:895:ioc_dispatch_requests] cache: unlocked inode(0x1583d40)
[2010-03-18 08:14:30] T [page.c:789:ioc_frame_return] cache: locked local(0x2aaab557c0f0)
[2010-03-18 08:14:30] T [page.c:793:ioc_frame_return] cache: unlocked local(0x2aaab557c0f0)
[2010-03-18 08:14:30] T [io-cache.c:777:ioc_need_prune] cache: locked table(0x6150d0)
[2010-03-18 08:14:30] T [io-cache.c:781:ioc_need_prune] cache: unlocked table(0x6150d0)
/lib64/libc.so.6[0x2aaaab382280]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/nfs/server.so(nfs3_call_state_wipe+0x22)[0x2aaaacddae22]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/nfs/server.so(nfs3svc_read_cbk+0x7f)[0x2aaaacddd8af]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/nfs/server.so(nfs_fop_readv_cbk+0x96)[0x2aaaacdcd616]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/performance/read-ahead.so(ra_readv_disabled_cbk+0x90)[0x2aaaacbb9540]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/performance/quick-read.so(qr_readv_cbk+0x90)[0x2aaaac9af310]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/performance/io-cache.so(ioc_frame_return+0x2b9)[0x2aaaac7a6b39]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/performance/io-cache.so(ioc_waitq_return+0x1d)[0x2aaaac7a6d8d]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/performance/io-cache.so(ioc_fault_cbk+0x1cb)[0x2aaaac7a7bbb]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/performance/write-behind.so(wb_readv_cbk+0xc0)[0x2aaaac59b4b0]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/cluster/distribute.so(dht_readv_cbk+0xc5)[0x2aaaac381c75]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/cluster/replicate.so(afr_readv_cbk+0x100)[0x2aaaac14c4a0]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/protocol/client.so(client_readv_cbk+0x1f6)[0x2aaaabf2ad86]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/protocol/client.so(protocol_client_pollin+0xca)[0x2aaaabf170ba]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/protocol/client.so(notify+0x212)[0x2aaaabf1e4d2]
/opt/glusterfs/gnfs/lib/libglusterfs.so.0(xlator_notify+0x43)[0x2aaaaacdb1c3]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/transport/socket.so(socket_event_handler+0xd3)[0x2aaaad214073]
/opt/glusterfs/gnfs/lib/libglusterfs.so.0[0x2aaaaacf4e25]
/opt/glusterfs/gnfs/sbin/glusterfs(main+0x9e8)[0x404118]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x2aaaab36f974]
/opt/glusterfs/gnfs/sbin/glusterfs[0x4026b9]
Comment 1 Shehjar Tikoo 2010-04-20 23:00:47 EDT

*** This bug has been marked as a duplicate of bug 757 ***

Note You need to log in before you can comment on or make changes to this bug.